# web3\_clientVersion

Returns the current client version.

This method will use `20` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## Reference: [Here](https://ethereum.org/en/developers/docs/apis/json-rpc/#web3_clientversion)

## **Parameters**

`None`

## Returns

`string` - The current client version 20 Bytes - addresses owned by the client

```bash
// Result
{
    "jsonrpc":"2.0",
    "id":67,
    "result":"Geth/v1.10.26-stable-e5eb32ac/linux-amd64/go1.18.5"
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.berachain.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"web3_clientVersion","params":[],"id":67}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://bepolia.berachain.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"web3_clientVersion","params":[],"id":67}'

```

{% endtab %}
{% endtabs %}
